Histogram Class Reference

Histogram class. More...

`#include <ql/math/statistics/histogram.hpp>`

## Public Types

enum | Algorithm { None, Sturges, FD, Scott }

## Public Member Functions

constructors
| Histogram ()
template<class T >
| Histogram (T data_begin, T data_end, Size breaks)
template<class T >
| Histogram (T data_begin, T data_end, Algorithm algorithm)
template<class T , class U >
| Histogram (T data_begin, T data_end, U breaks_begin, U breaks_end)
inspectors
Size | bins () const
const std::vector< Real > & | breaks () const
Algorithm | algorithm () const
bool | empty () const
results
Size | counts (Size i) const
Real | frequency (Size i) const

## Detailed Description

Histogram class.

This class computes the histogram of a given data set. The caller can specify the number of bins, the breaks, or the algorithm for determining these quantities in computing the histogram.